> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trusset.org/llms.txt
> Use this file to discover all available pages before exploring further.

# List Transactions

> List recent transactions for a lending market

Returns the most recent transactions recorded for a market, ordered newest first.

## Path Parameters

<ParamField path="marketId" type="string" required>Market ID.</ParamField>

## Query Parameters

<ParamField query="limit" type="integer" default="50">
  Number of transactions to return. Min 1, max 200.
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl "https://api.trusset.org/lending-stocks/api/markets/{marketId}/transactions?limit=20" \
    -H "X-API-Key: trusset_your_key_here"
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "data": {
      "transactions": [
        {
          "id": "tx_001",
          "marketId": "clx_market_001",
          "txType": "ORACLE_SYNC",
          "userAddress": "api",
          "amount": "185.50",
          "txHash": "0xabc...def",
          "timestamp": "2025-06-15T11:30:00.000Z"
        }
      ]
    }
  }
  ```
</ResponseExample>
